package com.ruoyi.zongzhi.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.zongzhi.mapper.TcYqZsMapper;
import com.ruoyi.zongzhi.domain.TcYqZs;
import com.ruoyi.zongzhi.service.ITcYqZsService;

/**
 * 舆情走势图Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-08-28
 */
@Service
public class TcYqZsServiceImpl implements ITcYqZsService 
{
    @Autowired
    private TcYqZsMapper tcYqZsMapper;

    /**
     * 查询舆情走势图
     * 
     * @param id 舆情走势图主键
     * @return 舆情走势图
     */
    @Override
    public TcYqZs selectTcYqZsById(Long id)
    {
        return tcYqZsMapper.selectTcYqZsById(id);
    }

    /**
     * 查询舆情走势图列表
     * 
     * @param tcYqZs 舆情走势图
     * @return 舆情走势图
     */
    @Override
    public List<TcYqZs> selectTcYqZsList(TcYqZs tcYqZs)
    {
        return tcYqZsMapper.selectTcYqZsList(tcYqZs);
    }

    /**
     * 新增舆情走势图
     * 
     * @param tcYqZs 舆情走势图
     * @return 结果
     */
    @Override
    public int insertTcYqZs(TcYqZs tcYqZs)
    {
        return tcYqZsMapper.insertTcYqZs(tcYqZs);
    }

    /**
     * 修改舆情走势图
     * 
     * @param tcYqZs 舆情走势图
     * @return 结果
     */
    @Override
    public int updateTcYqZs(TcYqZs tcYqZs)
    {
        return tcYqZsMapper.updateTcYqZs(tcYqZs);
    }

    /**
     * 批量删除舆情走势图
     * 
     * @param ids 需要删除的舆情走势图主键
     * @return 结果
     */
    @Override
    public int deleteTcYqZsByIds(Long[] ids)
    {
        return tcYqZsMapper.deleteTcYqZsByIds(ids);
    }

    /**
     * 删除舆情走势图信息
     * 
     * @param id 舆情走势图主键
     * @return 结果
     */
    @Override
    public int deleteTcYqZsById(Long id)
    {
        return tcYqZsMapper.deleteTcYqZsById(id);
    }
}
